Subject: Re: [0/10] Remove sk_buff ** from netfilter API

From: Patrick McHardy <[email-masked]>
Date: Mon, 15 Oct 2007 08:25:35 +0200

Herbert Xu wrote:
> On Sun, Sep 30, 2007 at 05:38:28PM +0200, Patrick McHardy wrote:
>> >From a quick look it seems at least IPv4 and IPv6 don't need to
>> change the skb anywhere else. It seems to be necessary for
>> bridging though to unshare the skb. OTOH br_netfilter.c already
>> unshares the skb for IPv4 and IPv6, so we could simply do this
>> unconditionally before calling the hooks.
> 
> Thanks.  I got bored and finally did the plunge :)
> 
> I've booted it here and it seems to work.

Thanks Herbert :) I'll have a closer look and give it some testing
myself.